## rust-slog 2.4.1

=== Makefile ===
PKG_NAME=$(shell grep name Cargo.toml | head -n 1 | awk -F \" '{print $$2}')
DOCS_DEFAULT_MODULE=$(subst -,_,$(PKG_NAME))
ifeq (, $(shell which cargo-check 2> /dev/null))
DEFAULT_TARGET=build
else
DEFAULT_TARGET=build
endif

default: $(DEFAULT_TARGET)

CARGO_FLAGS += -v

ALL_TARGETS += build $(EXAMPLES) test doc
ifneq ($(RELEASE),)
$(info RELEASE BUILD: $(PKG_NAME))
CARGO_FLAGS += --release
else
$(info DEBUG BUILD: $(PKG_NAME); use `RELEASE=true make [args]` for release build)
endif

EXAMPLES = $(shell cd examples 2>/dev/null && ls *.rs 2>/dev/null | sed -e 's/.rs$$//g' )

all: $(ALL_TARGETS)


.PHONY: run test build doc clean clippy
run test build clean:
	cargo $@ $(CARGO_FLAGS)

check:
	$(info Running check; use `make build` to actually build)
	cargo $@ $(CARGO_FLAGS)

clippy:
	cargo build --features clippy

.PHONY: bench
bench:
	cargo $@ $(filter-out --release,$(CARGO_FLAGS))

.PHONY: travistest
travistest: test

.PHONY: longtest
longtest:
	@echo "Running longtest. Press Ctrl+C to stop at any time"
	@sleep 2
	@i=0; while i=$$((i + 1)) && echo "Iteration $$i" && make test ; do :; done

.PHONY: $(EXAMPLES)
$(EXAMPLES):
	cargo build --example $@ $(CARGO_FLAGS)

.PHONY: doc
doc: FORCE
	cargo doc

.PHONY: publishdoc
publishdoc:
	rm -rf target/doc
	make doc
	echo '<meta http-equiv="refresh" content="0;url='${DOCS_DEFAULT_MODULE}'/index.html">' > target/doc/index.html
	ghp-import -n target/doc
	git push -f origin gh-pages

.PHONY: docview
docview: doc
	xdg-open target/doc/$(PKG_NAME)/index.html

.PHONY: FORCE
FORCE:

=== debian/changelog ===
rust-slog (2.4.1-1) unstable; urgency=medium

  * Package slog 2.4.1 from crates.io using debcargo 2.2.7

 -- Wolfgang Silbermayr <wolfgang@silbermayr.at>  Sat, 20 Oct 2018 16:25:01 +0200

=== debian/control ===
Source: rust-slog
Section: rust
Priority: optional
Build-Depends: debhelper (>= 11),
 dh-cargo (>= 10),
 cargo:native <!nocheck>,
 rustc:native <!nocheck>,
 libstd-rust-dev <!nocheck>
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Wolfgang Silbermayr <wolfgang@silbermayr.at>
Standards-Version: 4.2.0
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/slog]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/slog
Homepage: https://github.com/slog-rs/slog

Package: librust-slog-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends}
Suggests:
 librust-slog+erased-serde-dev (= ${binary:Version}),
 librust-slog+nested-values-dev (= ${binary:Version})
Provides:
 librust-slog+default-dev (= ${binary:Version}),
 librust-slog+dynamic-keys-dev (= ${binary:Version}),
 librust-slog+max-level-debug-dev (= ${binary:Version}),
 librust-slog+max-level-error-dev (= ${binary:Version}),
 librust-slog+max-level-info-dev (= ${binary:Version}),
 librust-slog+max-level-off-dev (= ${binary:Version}),
 librust-slog+max-level-trace-dev (= ${binary:Version}),
 librust-slog+max-level-warn-dev (= ${binary:Version}),
 librust-slog+release-max-level-debug-dev (= ${binary:Version}),
 librust-slog+release-max-level-error-dev (= ${binary:Version}),
 librust-slog+release-max-level-info-dev (= ${binary:Version}),
 librust-slog+release-max-level-off-dev (= ${binary:Version}),
 librust-slog+release-max-level-trace-dev (= ${binary:Version}),
 librust-slog+release-max-level-warn-dev (= ${binary:Version}),
 librust-slog+std-dev (= ${binary:Version}),
 librust-slog-2-dev (= ${binary:Version}),
 librust-slog-2+default-dev (= ${binary:Version}),
 librust-slog-2+dynamic-keys-dev (= ${binary:Version}),
 librust-slog-2+max-level-debug-dev (= ${binary:Version}),
 librust-slog-2+max-level-error-dev (= ${binary:Version}),
 librust-slog-2+max-level-info-dev (= ${binary:Version}),
 librust-slog-2+max-level-off-dev (= ${binary:Version}),
 librust-slog-2+max-level-trace-dev (= ${binary:Version}),
 librust-slog-2+max-level-warn-dev (= ${binary:Version}),
 librust-slog-2+release-max-level-debug-dev (= ${binary:Version}),
 librust-slog-2+release-max-level-error-dev (= ${binary:Version}),
 librust-slog-2+release-max-level-info-dev (= ${binary:Version}),
 librust-slog-2+release-max-level-off-dev (= ${binary:Version}),
 librust-slog-2+release-max-level-trace-dev (= ${binary:Version}),
 librust-slog-2+release-max-level-warn-dev (= ${binary:Version}),
 librust-slog-2+std-dev (= ${binary:Version}),
 librust-slog-2.4-dev (= ${binary:Version}),
 librust-slog-2.4+default-dev (= ${binary:Version}),
 librust-slog-2.4+dynamic-keys-dev (= ${binary:Version}),
 librust-slog-2.4+max-level-debug-dev (= ${binary:Version}),
 librust-slog-2.4+max-level-error-dev (= ${binary:Version}),
 librust-slog-2.4+max-level-info-dev (= ${binary:Version}),
 librust-slog-2.4+max-level-off-dev (= ${binary:Version}),
 librust-slog-2.4+max-level-trace-dev (= ${binary:Version}),
 librust-slog-2.4+max-level-warn-dev (= ${binary:Version}),
 librust-slog-2.4+release-max-level-debug-dev (= ${binary:Version}),
 librust-slog-2.4+release-max-level-error-dev (= ${binary:Version}),
 librust-slog-2.4+release-max-level-info-dev (= ${binary:Version}),
 librust-slog-2.4+release-max-level-off-dev (= ${binary:Version}),
 librust-slog-2.4+release-max-level-trace-dev (= ${binary:Version}),
 librust-slog-2.4+release-max-level-warn-dev (= ${binary:Version}),
 librust-slog-2.4+std-dev (= ${binary:Version}),
 librust-slog-2.4.1-dev (= ${binary:Version}),
 librust-slog-2.4.1+default-dev (= ${binary:Version}),
 librust-slog-2.4.1+dynamic-keys-dev (= ${binary:Version}),
 librust-slog-2.4.1+max-level-debug-dev (= ${binary:Version}),
 librust-slog-2.4.1+max-level-error-dev (= ${binary:Version}),
 librust-slog-2.4.1+max-level-info-dev (= ${binary:Version}),
 librust-slog-2.4.1+max-level-off-dev (= ${binary:Version}),
 librust-slog-2.4.1+max-level-trace-dev (= ${binary:Version}),
 librust-slog-2.4.1+max-level-warn-dev (= ${binary:Version}),
 librust-slog-2.4.1+release-max-level-debug-dev (= ${binary:Version}),
 librust-slog-2.4.1+release-max-level-error-dev (= ${binary:Version}),
 librust-slog-2.4.1+release-max-level-info-dev (= ${binary:Version}),
 librust-slog-2.4.1+release-max-level-off-dev (= ${binary:Version}),
 librust-slog-2.4.1+release-max-level-trace-dev (= ${binary:Version}),
 librust-slog-2.4.1+release-max-level-warn-dev (= ${binary:Version}),
 librust-slog-2.4.1+std-dev (= ${binary:Version})
Description: Structured, extensible, composable logging for Rust - Rust source code
 This package contains the source for the Rust slog crate, packaged by debcargo
 for use with cargo and dh-cargo.

Package: librust-slog+erased-serde-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-slog-dev (= ${binary:Version}),
 librust-erased-serde-0.3+default-dev
Provides:
 librust-slog-2+erased-serde-dev (= ${binary:Version}),
 librust-slog-2.4+erased-serde-dev (= ${binary:Version}),
 librust-slog-2.4.1+erased-serde-dev (= ${binary:Version})
Description: Structured, extensible, composable logging for Rust - feature "erased-serde"
 This metapackage enables feature erased-serde for the Rust slog crate, by
 pulling in any additional dependencies needed by that feature.

Package: librust-slog+nested-values-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-slog-dev (= ${binary:Version}),
 librust-erased-serde-0.3+default-dev
Provides:
 librust-slog-2+nested-values-dev (= ${binary:Version}),
 librust-slog-2.4+nested-values-dev (= ${binary:Version}),
 librust-slog-2.4.1+nested-values-dev (= ${binary:Version})
Description: Structured, extensible, composable logging for Rust - feature "nested-values"
 This metapackage enables feature nested-values for the Rust slog crate, by
 pulling in any additional dependencies needed by that feature.

## rust-slog 2.5.2

=== Makefile ===
--- 
+++ 
@@ -48,8 +48,10 @@
 	@i=0; while i=$$((i + 1)) && echo "Iteration $$i" && make test ; do :; done
 
 .PHONY: $(EXAMPLES)
-$(EXAMPLES):
+named struct-log-self:
 	cargo build --example $@ $(CARGO_FLAGS)
+singlethread:
+	cargo build --features nothreads --example $@ $(CARGO_FLAGS)
 
 .PHONY: doc
 doc: FORCE

=== debian/changelog ===
rust-slog (2.5.2-1) unstable; urgency=medium

  * Package slog 2.5.2 from crates.io using debcargo 2.4.0

 -- Wolfgang Silbermayr <wolfgang@silbermayr.at>  Tue, 23 Jul 2019 05:31:17 +0200

=== debian/control ===
Source: rust-slog
Section: rust
Priority: optional
Build-Depends: debhelper (>= 11),
 dh-cargo (>= 18),
 cargo:native <!nocheck>,
 rustc:native <!nocheck>,
 libstd-rust-dev <!nocheck>
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Wolfgang Silbermayr <wolfgang@silbermayr.at>
Standards-Version: 4.2.0
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/slog]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/slog
Homepage: https://github.com/slog-rs/slog

Package: librust-slog-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends}
Suggests:
 librust-slog+erased-serde-dev (= ${binary:Version})
Provides:
 librust-slog+default-dev (= ${binary:Version}),
 librust-slog+dynamic-keys-dev (= ${binary:Version}),
 librust-slog+max-level-debug-dev (= ${binary:Version}),
 librust-slog+max-level-error-dev (= ${binary:Version}),
 librust-slog+max-level-info-dev (= ${binary:Version}),
 librust-slog+max-level-off-dev (= ${binary:Version}),
 librust-slog+max-level-trace-dev (= ${binary:Version}),
 librust-slog+max-level-warn-dev (= ${binary:Version}),
 librust-slog+nothreads-dev (= ${binary:Version}),
 librust-slog+release-max-level-debug-dev (= ${binary:Version}),
 librust-slog+release-max-level-error-dev (= ${binary:Version}),
 librust-slog+release-max-level-info-dev (= ${binary:Version}),
 librust-slog+release-max-level-off-dev (= ${binary:Version}),
 librust-slog+release-max-level-trace-dev (= ${binary:Version}),
 librust-slog+release-max-level-warn-dev (= ${binary:Version}),
 librust-slog+std-dev (= ${binary:Version}),
 librust-slog-2-dev (= ${binary:Version}),
 librust-slog-2+default-dev (= ${binary:Version}),
 librust-slog-2+dynamic-keys-dev (= ${binary:Version}),
 librust-slog-2+max-level-debug-dev (= ${binary:Version}),
 librust-slog-2+max-level-error-dev (= ${binary:Version}),
 librust-slog-2+max-level-info-dev (= ${binary:Version}),
 librust-slog-2+max-level-off-dev (= ${binary:Version}),
 librust-slog-2+max-level-trace-dev (= ${binary:Version}),
 librust-slog-2+max-level-warn-dev (= ${binary:Version}),
 librust-slog-2+nothreads-dev (= ${binary:Version}),
 librust-slog-2+release-max-level-debug-dev (= ${binary:Version}),
 librust-slog-2+release-max-level-error-dev (= ${binary:Version}),
 librust-slog-2+release-max-level-info-dev (= ${binary:Version}),
 librust-slog-2+release-max-level-off-dev (= ${binary:Version}),
 librust-slog-2+release-max-level-trace-dev (= ${binary:Version}),
 librust-slog-2+release-max-level-warn-dev (= ${binary:Version}),
 librust-slog-2+std-dev (= ${binary:Version}),
 librust-slog-2.5-dev (= ${binary:Version}),
 librust-slog-2.5+default-dev (= ${binary:Version}),
 librust-slog-2.5+dynamic-keys-dev (= ${binary:Version}),
 librust-slog-2.5+max-level-debug-dev (= ${binary:Version}),
 librust-slog-2.5+max-level-error-dev (= ${binary:Version}),
 librust-slog-2.5+max-level-info-dev (= ${binary:Version}),
 librust-slog-2.5+max-level-off-dev (= ${binary:Version}),
 librust-slog-2.5+max-level-trace-dev (= ${binary:Version}),
 librust-slog-2.5+max-level-warn-dev (= ${binary:Version}),
 librust-slog-2.5+nothreads-dev (= ${binary:Version}),
 librust-slog-2.5+release-max-level-debug-dev (= ${binary:Version}),
 librust-slog-2.5+release-max-level-error-dev (= ${binary:Version}),
 librust-slog-2.5+release-max-level-info-dev (= ${binary:Version}),
 librust-slog-2.5+release-max-level-off-dev (= ${binary:Version}),
 librust-slog-2.5+release-max-level-trace-dev (= ${binary:Version}),
 librust-slog-2.5+release-max-level-warn-dev (= ${binary:Version}),
 librust-slog-2.5+std-dev (= ${binary:Version}),
 librust-slog-2.5.2-dev (= ${binary:Version}),
 librust-slog-2.5.2+default-dev (= ${binary:Version}),
 librust-slog-2.5.2+dynamic-keys-dev (= ${binary:Version}),
 librust-slog-2.5.2+max-level-debug-dev (= ${binary:Version}),
 librust-slog-2.5.2+max-level-error-dev (= ${binary:Version}),
 librust-slog-2.5.2+max-level-info-dev (= ${binary:Version}),
 librust-slog-2.5.2+max-level-off-dev (= ${binary:Version}),
 librust-slog-2.5.2+max-level-trace-dev (= ${binary:Version}),
 librust-slog-2.5.2+max-level-warn-dev (= ${binary:Version}),
 librust-slog-2.5.2+nothreads-dev (= ${binary:Version}),
 librust-slog-2.5.2+release-max-level-debug-dev (= ${binary:Version}),
 librust-slog-2.5.2+release-max-level-error-dev (= ${binary:Version}),
 librust-slog-2.5.2+release-max-level-info-dev (= ${binary:Version}),
 librust-slog-2.5.2+release-max-level-off-dev (= ${binary:Version}),
 librust-slog-2.5.2+release-max-level-trace-dev (= ${binary:Version}),
 librust-slog-2.5.2+release-max-level-warn-dev (= ${binary:Version}),
 librust-slog-2.5.2+std-dev (= ${binary:Version})
Description: Structured, extensible, composable logging - Rust source code
 This package contains the source for the Rust slog crate, packaged by debcargo
 for use with cargo and dh-cargo.

Package: librust-slog+erased-serde-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-slog-dev (= ${binary:Version}),
 librust-erased-serde-0.3+default-dev
Provides:
 librust-slog+nested-values-dev (= ${binary:Version}),
 librust-slog-2+erased-serde-dev (= ${binary:Version}),
 librust-slog-2+nested-values-dev (= ${binary:Version}),
 librust-slog-2.5+erased-serde-dev (= ${binary:Version}),
 librust-slog-2.5+nested-values-dev (= ${binary:Version}),
 librust-slog-2.5.2+erased-serde-dev (= ${binary:Version}),
 librust-slog-2.5.2+nested-values-dev (= ${binary:Version})
Description: Structured, extensible, composable logging - feature "erased-serde"
 This metapackage enables feature "erased-serde" for the Rust slog crate, by
 pulling in any additional dependencies needed by that feature.
 .
 Additionally, this package also provides the "nested-values" feature.

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test slog 2.5.2 --all-targets --all-features
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test slog 2.5.2 --all-targets --no-default-features
Depends: dh-cargo (>= 18), librust-slog-dev
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test slog 2.5.2 --all-targets --features erased-serde
Depends: dh-cargo (>= 18), librust-slog+erased-serde-dev
Restrictions: allow-stderr, skip-not-installable

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/(.*)\/download/slog-$1\.tar\.gz/g,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/ \
https://qa.debian.org/cgi-bin/fakeupstream.cgi?upstream=crates.io/slog .*/crates/slog/@ANY_VERSION@/download

## rust-slog 2.7.0

=== debian/changelog ===
rust-slog (2.7.0-1) unstable; urgency=medium

  * Team upload.
  * Package slog 2.7.0 from crates.io using debcargo 2.7.0
  * Skip test which fails to build (Closes: #1086117)

 -- Peter Michael Green <plugwash@debian.org>  Sun, 27 Oct 2024 04:50:04 +0000

=== debian/control ===
Source: rust-slog
Section: rust
Priority: optional
Build-Depends: debhelper-compat (= 13),
 dh-cargo (>= 25),
 cargo:native <!nocheck>,
 rustc:native <!nocheck>,
 libstd-rust-dev <!nocheck>
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Wolfgang Silbermayr <wolfgang@silbermayr.at>
Standards-Version: 4.7.0
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/slog]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/slog
Homepage: https://github.com/slog-rs/slog
X-Cargo-Crate: slog
Rules-Requires-Root: no

Package: librust-slog-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends}
Suggests:
 librust-slog+erased-serde-dev (= ${binary:Version})
Provides:
 librust-slog+default-dev (= ${binary:Version}),
 librust-slog+dynamic-keys-dev (= ${binary:Version}),
 librust-slog+max-level-debug-dev (= ${binary:Version}),
 librust-slog+max-level-error-dev (= ${binary:Version}),
 librust-slog+max-level-info-dev (= ${binary:Version}),
 librust-slog+max-level-off-dev (= ${binary:Version}),
 librust-slog+max-level-trace-dev (= ${binary:Version}),
 librust-slog+max-level-warn-dev (= ${binary:Version}),
 librust-slog+nothreads-dev (= ${binary:Version}),
 librust-slog+release-max-level-debug-dev (= ${binary:Version}),
 librust-slog+release-max-level-error-dev (= ${binary:Version}),
 librust-slog+release-max-level-info-dev (= ${binary:Version}),
 librust-slog+release-max-level-off-dev (= ${binary:Version}),
 librust-slog+release-max-level-trace-dev (= ${binary:Version}),
 librust-slog+release-max-level-warn-dev (= ${binary:Version}),
 librust-slog+std-dev (= ${binary:Version}),
 librust-slog-2-dev (= ${binary:Version}),
 librust-slog-2+default-dev (= ${binary:Version}),
 librust-slog-2+dynamic-keys-dev (= ${binary:Version}),
 librust-slog-2+max-level-debug-dev (= ${binary:Version}),
 librust-slog-2+max-level-error-dev (= ${binary:Version}),
 librust-slog-2+max-level-info-dev (= ${binary:Version}),
 librust-slog-2+max-level-off-dev (= ${binary:Version}),
 librust-slog-2+max-level-trace-dev (= ${binary:Version}),
 librust-slog-2+max-level-warn-dev (= ${binary:Version}),
 librust-slog-2+nothreads-dev (= ${binary:Version}),
 librust-slog-2+release-max-level-debug-dev (= ${binary:Version}),
 librust-slog-2+release-max-level-error-dev (= ${binary:Version}),
 librust-slog-2+release-max-level-info-dev (= ${binary:Version}),
 librust-slog-2+release-max-level-off-dev (= ${binary:Version}),
 librust-slog-2+release-max-level-trace-dev (= ${binary:Version}),
 librust-slog-2+release-max-level-warn-dev (= ${binary:Version}),
 librust-slog-2+std-dev (= ${binary:Version}),
 librust-slog-2.7-dev (= ${binary:Version}),
 librust-slog-2.7+default-dev (= ${binary:Version}),
 librust-slog-2.7+dynamic-keys-dev (= ${binary:Version}),
 librust-slog-2.7+max-level-debug-dev (= ${binary:Version}),
 librust-slog-2.7+max-level-error-dev (= ${binary:Version}),
 librust-slog-2.7+max-level-info-dev (= ${binary:Version}),
 librust-slog-2.7+max-level-off-dev (= ${binary:Version}),
 librust-slog-2.7+max-level-trace-dev (= ${binary:Version}),
 librust-slog-2.7+max-level-warn-dev (= ${binary:Version}),
 librust-slog-2.7+nothreads-dev (= ${binary:Version}),
 librust-slog-2.7+release-max-level-debug-dev (= ${binary:Version}),
 librust-slog-2.7+release-max-level-error-dev (= ${binary:Version}),
 librust-slog-2.7+release-max-level-info-dev (= ${binary:Version}),
 librust-slog-2.7+release-max-level-off-dev (= ${binary:Version}),
 librust-slog-2.7+release-max-level-trace-dev (= ${binary:Version}),
 librust-slog-2.7+release-max-level-warn-dev (= ${binary:Version}),
 librust-slog-2.7+std-dev (= ${binary:Version}),
 librust-slog-2.7.0-dev (= ${binary:Version}),
 librust-slog-2.7.0+default-dev (= ${binary:Version}),
 librust-slog-2.7.0+dynamic-keys-dev (= ${binary:Version}),
 librust-slog-2.7.0+max-level-debug-dev (= ${binary:Version}),
 librust-slog-2.7.0+max-level-error-dev (= ${binary:Version}),
 librust-slog-2.7.0+max-level-info-dev (= ${binary:Version}),
 librust-slog-2.7.0+max-level-off-dev (= ${binary:Version}),
 librust-slog-2.7.0+max-level-trace-dev (= ${binary:Version}),
 librust-slog-2.7.0+max-level-warn-dev (= ${binary:Version}),
 librust-slog-2.7.0+nothreads-dev (= ${binary:Version}),
 librust-slog-2.7.0+release-max-level-debug-dev (= ${binary:Version}),
 librust-slog-2.7.0+release-max-level-error-dev (= ${binary:Version}),
 librust-slog-2.7.0+release-max-level-info-dev (= ${binary:Version}),
 librust-slog-2.7.0+release-max-level-off-dev (= ${binary:Version}),
 librust-slog-2.7.0+release-max-level-trace-dev (= ${binary:Version}),
 librust-slog-2.7.0+release-max-level-warn-dev (= ${binary:Version}),
 librust-slog-2.7.0+std-dev (= ${binary:Version})
Description: Structured, extensible, composable logging - Rust source code
 Source code for Debianized Rust crate "slog"

Package: librust-slog+erased-serde-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-slog-dev (= ${binary:Version}),
 librust-erased-serde-0.3+default-dev
Provides:
 librust-slog+nested-values-dev (= ${binary:Version}),
 librust-slog-2+erased-serde-dev (= ${binary:Version}),
 librust-slog-2+nested-values-dev (= ${binary:Version}),
 librust-slog-2.7+erased-serde-dev (= ${binary:Version}),
 librust-slog-2.7+nested-values-dev (= ${binary:Version}),
 librust-slog-2.7.0+erased-serde-dev (= ${binary:Version}),
 librust-slog-2.7.0+nested-values-dev (= ${binary:Version})
Description: Structured, extensible, composable logging - feature "erased-serde"
 This metapackage enables feature "erased-serde" for the Rust slog crate, by
 pulling in any additional dependencies needed by that feature.
 .
 Additionally, this package also provides the "nested-values" feature.

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test slog 2.7.0 --all-targets --all-features
Features: test-name=rust-slog:@
Depends: dh-cargo (>= 31), rustc:native, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test slog 2.7.0 --all-targets
Features: test-name=librust-slog-dev:default
Depends: dh-cargo (>= 31), rustc:native, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test slog 2.7.0 --all-targets --no-default-features --features dynamic-keys
Features: test-name=librust-slog-dev:dynamic-keys
Depends: dh-cargo (>= 31), rustc:native, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test slog 2.7.0 --all-targets --no-default-features --features max_level_debug
Features: test-name=librust-slog-dev:max_level_debug
Depends: dh-cargo (>= 31), rustc:native, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test slog 2.7.0 --all-targets --no-default-features --features max_level_error
Features: test-name=librust-slog-dev:max_level_error
Depends: dh-cargo (>= 31), rustc:native, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test slog 2.7.0 --all-targets --no-default-features --features max_level_info
Features: test-name=librust-slog-dev:max_level_info
Depends: dh-cargo (>= 31), rustc:native, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test slog 2.7.0 --all-targets --no-default-features --features max_level_off
Features: test-name=librust-slog-dev:max_level_off
Depends: dh-cargo (>= 31), rustc:native, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test slog 2.7.0 --all-targets --no-default-features --features max_level_trace
Features: test-name=librust-slog-dev:max_level_trace
Depends: dh-cargo (>= 31), rustc:native, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test slog 2.7.0 --all-targets --no-default-features --features max_level_warn
Features: test-name=librust-slog-dev:max_level_warn
Depends: dh-cargo (>= 31), rustc:native, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test slog 2.7.0 --all-targets --no-default-features --features nothreads
Features: test-name=librust-slog-dev:nothreads
Depends: dh-cargo (>= 31), rustc:native, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test slog 2.7.0 --all-targets --no-default-features --features release_max_level_debug
Features: test-name=librust-slog-dev:release_max_level_debug
Depends: dh-cargo (>= 31), rustc:native, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test slog 2.7.0 --all-targets --no-default-features --features release_max_level_error

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/(.*)\/download/slog-$1\.tar\.gz/g,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/ \
https://qa.debian.org/cgi-bin/fakeupstream.cgi?upstream=crates.io/slog .*/crates/slog/@ANY_VERSION@/download
